osl::checkmate::DfpnShared Class Reference

`#include <dfpnParallel.h>`

## Classes

struct | ThreadData

## Public Member Functions

| DfpnShared ()
void | restartThreads (const HashKey &key, int depth, unsigned int threads)
void | clear ()

## Public Attributes

volatile bool | stop_all
CArray< ThreadData, 32 > | data

## Detailed Description

Definition at line 13 of file dfpnParallel.h.

## Constructor & Destructor Documentation

## DfpnShared()

osl::checkmate::DfpnShared::DfpnShared | ( |  | ) |

inline

Definition at line 37 of file dfpnParallel.h.

References stop_all.

## Member Function Documentation

## clear()

void osl::checkmate::DfpnShared::clear | ( |  | ) |

inline

Definition at line 52 of file dfpnParallel.h.

References clear(), data, and stop_all.

Referenced by clear().

## restartThreads()

void osl::checkmate::DfpnShared::restartThreads | ( | const HashKey & | key,
|  | int | depth,
|  | unsigned int | threads )

inline

Definition at line 40 of file dfpnParallel.h.

References data, and SCOPED_LOCK.

## Member Data Documentation

## data

CArray<ThreadData, 32> osl::checkmate::DfpnShared::data

Definition at line 36 of file dfpnParallel.h.

Referenced by clear(), and restartThreads().

## stop_all

volatile bool osl::checkmate::DfpnShared::stop_all

Definition at line 35 of file dfpnParallel.h.

Referenced by clear(), and DfpnShared().

The documentation for this class was generated from the following file:

- dfpnParallel.h